<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">

<title><?php woo_title(); ?></title>
<?php woo_meta(); ?>


	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<!--[if lte IE 6]>
	<script defer type="text/javascript" src="<?php bloginfo('template_directory'); ?>/includes/js/pngfix.js"></script>
	<![endif]-->	
	
	<?php // if ( is_single() ) wp_enqueue_script( 'comment-reply' ); ?>
	<?php wp_head(); ?>

</head>

<body>

	<?php
		$template_path = get_bloginfo('template_directory');
		$GLOBALS['defaultgravatar'] = $template_path . '/images/gravatar.jpg';
	?>
	
	<div class="footer">
	
	<div id="navigation">
		
		<div class="pad clearfix">
			<?php
			if ( function_exists('has_nav_menu') && has_nav_menu('primary-menu') ) {
				wp_nav_menu( array( 'depth' => 1, 'sort_column' => 'menu_order', 'container' => 'ul', 'menu_id' => 'navigation-links', 'menu_class' => 'left', 'theme_location' => 'primary-menu' ) );
			} else {
			?>
			<ul id="navigation-links" class="left">
			<?php 
        		if ( get_option('woo_custom_nav_menu') == 'true' ) {
        			if ( function_exists('woo_custom_navigation_output') )
						woo_custom_navigation_output('depth=1');

				} else { ?>

				<li><a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?> - Home">Home</a></li> 
				<?php wp_list_pages('title_li=&depth=1'); ?>
				<?php } ?>
			</ul>
			<?php } ?>
			<div class="right">
				<div class="rss"><?php _e('Subscribe','woothemes'); ?>: <a href="<?php if ( get_option('woo_feedburner_url') <> "" ) { echo get_option('woo_feedburner_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" title="<?php _e('URL for Posts RSS 2.0 Feed','woothemes'); ?>"><?php _e('Posts','woothemes'); ?></a> | <a href="<?php bloginfo('comments_rss2_url'); ?>" title="<?php _e('URL for comments RSS 2.0 Feed','woothemes'); ?>"><?php _e('Comments','woothemes'); ?></a> | <a href="http://www.feedburner.com/fb/a/emailverifySubmit?feedId=<?php $feedburner_id = get_option('woo_feedburner_id'); echo $feedburner_id; ?>" target="_blank" title="<?php _e('Subscribe via E-mail','woothemes'); ?>"><?php _e('E-mail','woothemes'); ?></a></div>
			</div>
		
		</div>
		
	</div><!--/navigation -->
	
	<div id="categories">
		<?php
		if ( function_exists('has_nav_menu') && has_nav_menu('secondary-menu') ) {
			wp_nav_menu( array( 'depth' => -1, 'sort_column' => 'menu_order', 'container' => 'ul', 'link_before' => '<span class="h3">', 'link_after' => '</span>', 'menu_id' => 'categories-back', 'theme_location' => 'secondary-menu' ) );
		} else {
		?>
		<ul id="categories-back">
			<?php 
        	if ( get_option('woo_custom_nav_menu') == 'true' ) {
        		if ( function_exists('woo_custom_navigation_output') )
					woo_custom_navigation_output('name=Woo Menu 2&before_title=<span class=h3>&after_title=</span>&desc=1&depth=1');
			} else { ?>
			<?php
				$getcats = get_categories('hierarchical=0&hide_empty=0&include=' . get_inc_categories("woo_cat_nav_"));
				$count = 1;
				foreach($getcats as $thecat) {
					echo '<li'.($count == count($getcats) ? ' class="blank"' : '').'><a href="'.get_category_link($thecat->term_id).'" title="'.__('View Posts in','woothemes').' &quot;'.$thecat->name.'&quot;: '.$thecat->description.'"><span class="h3">'.$thecat->name.'</span><span class="h5 block">'.$thecat->description.'</span></a></li>';
					$count++;
				}
			} 
			?>
		</ul>
		<?php } ?>
	</div><!--categories-->
	
	<div id="content-back" class="clearfix">
	
		<div id="logo" class="clearfix">
			<?php if (get_option('woo_texttitle') <> "true") : $logo = get_option('woo_logo'); ?>
        	    <a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('description'); ?>">
        	        <img src="<?php if ($logo) echo $logo; else { bloginfo('template_directory'); ?>/images/logo.png<?php } ?>" alt="<?php bloginfo('name'); ?>" />
        	    </a>
        	<?php endif; ?> 
        	
        	<?php if( is_singular() ) : ?>
        	    <span class="site-title"><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></span>
        	<?php else : ?>
        	    <h1 class="site-title"><a href="<?php bloginfo('url'); ?>"><?php bloginfo('name'); ?></a></h1>
        	<?php endif; ?>
        	    <span class="site-description"><?php bloginfo('description'); ?></span>
            
        </div><!-- /.logo -->